%if 0%{?fedora} >= 20 || 0%{?rhel} > 7
%bcond_without wayland
%else
%bcond_with wayland
%endif

Name:          waffle
Version:       1.3.0
Release:       5%{?dist}
Summary:       Platform independent GL API layer

Group:         Development/Libraries
License:       MIT
URL:           http://people.freedesktop.org/~chadversary/waffle/releases.html
Source0:       http://people.freedesktop.org/~chadversary/%{name}/files/release/%{name}-%{version}/%{name}-%{version}.tar.xz
Patch0:        185ee9e5f73701d68f45d2ea85aa5c0486cccefb.patch

BuildRequires: cmake libxslt docbook-style-xsl libxcb-devel
BuildRequires: libX11-devel mesa-libGL-devel mesa-libGLU-devel
BuildRequires: chrpath
BuildRequires: mesa-libEGL-devel mesa-libGLES-devel
BuildRequires: mesa-libgbm-devel
BuildRequires: systemd-devel
%if %{with wayland}
BuildRequires: wayland-devel libwayland-client-devel mesa-libwayland-egl-devel
%endif

%description
Waffle is a cross-platform C library that allows one to defer
selection of GL API and of window system until runtime.


%package devel
Summary:    Development headers and libraries for %{name}
Group:      Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
Contains the header files, and libraries required for development of
%{name}-related software.

%package doc
Summary:    Documentation for %{name}
Group:      Documentation
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description doc
Contains HTML version of the developer documentation for development of
%{name}-related software (manpages are in the -devel package).

%package examples
Summary:    Example programs using %{name}
Group:      Development/Tools
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description examples
Example programs using %{name}.


%prep
%setup -q
%patch0 -p1


%build
%cmake \
    -DCMAKE_INSTALL_DOCDIR:PATH=%{_defaultdocdir}/%{name}-%{version} \
    -DCMAKE_BUILD_STRIP=FALSE \
    -Dwaffle_has_glx=1 -Dwaffle_has_gbm=1 \
%if %{with wayland}
    -Dwaffle_has_wayland=1 \
%endif
    -Dwaffle_build_manpages=1 -Dwaffle_build_htmldocs=1 .

make VERBOSE=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
# Fedora now uses unversioned doc dirs, make install shouldn’t try to
# install there anyway.
rm -rf %{buildroot}%{_docdir}/%{name}*

# Move examples to _libdir
install -d %{buildroot}%{_libdir}/%{name}-examples
chrpath -d examples/{gl_basic,simple-x11-egl}
install -p examples/{gl_basic,simple-x11-egl} \
    %{buildroot}%{_libdir}/%{name}-examples


%postun -p /sbin/ldconfig


%post -p /sbin/ldconfig


%files
%doc README.txt LICENSE.txt
%{_libdir}/lib%{name}*.so.*


%files doc
%doc doc/html/

%files devel
%doc doc/release-notes/
%{_includedir}/waffle*
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*
%{_datadir}/cmake/Modules/FindWaffle.cmake
%{_mandir}/man*/*


%files examples
%{_libdir}/%{name}-examples/*


%changelog
* Mon Sep 29 2014 Matej Cepl <mcepl@redhat.com> - 1.3.0-5
- Apply patch to make GBM work on f21 as well.

* Tue Sep 23 2014 Matěj Cepl <mcepl@redhat.com> - 1.3.0-4
- Enable GBM and Wayland options as well.

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 01 2013 Matěj Cepl <mcepl@redhat.com> - 1.3.0-1
- Upstream release.

* Fri Sep 27 2013 Matěj Cepl <mcepl@redhat.com> - 1.2.3-4
- And even more fixes (switch on man and HTML doc generation).

* Thu Sep 26 2013 Matěj Cepl <mcepl@redhat.com> - 1.2.3-3
- Fix even more errors indicated by the package review.

* Mon Aug 26 2013 Matěj Cepl <mcepl@redhat.com> - 1.2.3-2
- Fix errors indicated by the package review.

* Sat Aug 24 2013 Matěj Cepl <mcepl@redhat.com> - 1.2.3-1
- New upstream release.

* Thu Nov 15 2012 Matěj Cepl <mcepl@redhat.com> - 1.2.0-1
- Upstream upgrade.

* Fri Oct 19 2012 Matěj Cepl <mcepl@redhat.com> - 1.1.1-1
- First experimental build.
